<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
	<?php
	date_default_timezone_set("America/Mexico_City");
	session_start();
	include("conexion.php");
	
	$res=$_POST['q'];
	$rew=explode("|",$res);
 	$q=$rew[0];
	$tipo=$rew[1];
	$ch=$rew[2];

    if($tipo=="1")
	{
            $sql = "select ";
			$sql.="id_vehiculo, ";
			$sql.="descripcion, ";
 			$sql.="departamento, ";
 			$sql.="numero_economico, ";
			$sql.="placa, ";
			$sql.="id_tag, ";
			$sql.="estado ";
            $sql .= "from ";
            $sql .= "vehiculos ";

            $sql .= "where ";
			if($q!="<")
			{
				if (strlen($q) > 0)
				{

						

					$sql .= "(id_vehiculo like '%" . $q . "%' or ";
					$sql .= "descripcion like '%" . $q . "%' or ";
					$sql .= "placa like '%" . $q . "%') ";
					$sql .= "and ";
				}
			}
		
			if($_SESSION['id_cliente']!="")
            {
                
                $sql .= "id_cliente = " . $_SESSION['id_cliente'] . " ";

            }
		
            $sql .= "order by ";
            $sql .= "id_vehiculo ";
				if($ch=="1")
				{
                $sql .= "limit 500 ";
				}

		mysqli_query($conexion,'SET NAMES utf8');
		$resultado = $conexion->query($sql); 	
		if(mysqli_num_rows($resultado)==0){

echo '<b>No hay sugerencias</b>';

}else{
				
		if(!$resultado) 
		die("Error: no se pudo realizar la consulta");
	
	echo '<table id="tabla_vehiculos" style="color:black;background-color:transparent">';
							echo '<thead>';
							echo '<tr style="border-bottom: 1px solid #93c54b; ">';
							echo '<th style="width:50px">Id</th>';
							echo '<th style="width:350px;text-align: center">Descripción</th>';	
 							echo '<th style="width:100px;text-align: center">Departamento</th>';	
 							echo '<th style="width:70px;text-align: center">N° Eco</th>';	
							echo '<th style="width:70px;text-align: center">Placa</th>';	
							echo '<th style="width:170px;text-align: center">Tarjeta</th>';							
							echo '<th style="width:70px;text-align: center">Estado</th>';	
							echo '</tr>';
							echo '</thead>';					
							echo '<tbody>';	
		while($fila = $resultado->fetch_assoc()) 
		{ 
			if($fila['estado']==1)
									$estado="Activo";
								else
									$estado="Desactivado";
			echo '<tr onclick="vehiculo_seleccion(this)" style="border-bottom: 1px solid #93c54b; " id="1|'.$fila['id_vehiculo'].'|'.$fila['descripcion'].'">';
			echo '<td style="width:50px">' . $fila['id_vehiculo'] . '</td>';
			
			
								echo '<td style="width:350px">' . $fila['descripcion']  . '</td>';
								echo '<td style="width:100px">' . $fila['departamento'] . '</td>';
								echo '<td style="width:70px;text-align: center">' . $fila['numero_economico'] . '</td>';
								echo '<td style="width:100px;text-align: center">' . $fila['placa'] . '</td>';
								echo '<td style="width:270px">' . $fila['id_tag'] . '</td>';
								echo '<td style="width:70px;text-align: center">' . $estado . '</td>';
			echo "</tr>";
		}
		
		$resultado->free();
							mysqli_close($conexion); 
							echo '</tbody>';
							echo '</table>';
		}
	}
	if($tipo=="2" || $tipo=="3")
	{
			$sql = "select ";
            $sql .= "id_turno ";            
            $sql .= "from ";
            $sql .= "turnos ";
			$sql .= "order by ";
            $sql .= "id_turno desc ";
				if($ch=="1")
				{
                $sql .= "limit 500 ";
				}
		mysqli_query($conexion,'SET NAMES utf8');
		$resultado = $conexion->query($sql); 	
		if(mysqli_num_rows($resultado)==0){

echo '<b>No hay sugerencias</b>';

}else{
				
		if(!$resultado) 
		die("Error: no se pudo realizar la consulta");
	
	echo '<table id="tabla_vehiculos" style="color:black;background-color:transparent">';
							echo '<thead>';
							echo '<tr style="border-bottom: 1px solid #93c54b; ">';
							echo '<th style="width:50px">Turno</th>';
							echo '</tr>';
							echo '</thead>';					
							echo '<tbody>';	
		while($fila = $resultado->fetch_assoc()) 
		{ 
			if($tipo=="2")
			{
			echo '<tr onclick="vehiculo_seleccion(this)" style="border-bottom: 1px solid #93c54b; " id="2|'.$fila['id_turno'].'">';
			echo '<td style="width:50px">' . $fila['id_turno'] . '</td>';
			}
			if($tipo=="3")
			{
				echo '<tr onclick="vehiculo_seleccion(this)" style="border-bottom: 1px solid #93c54b; " id="3|'.$fila['id_turno'].'">';
			echo '<td style="width:50px">' . $fila['id_turno'] . '</td>';
			}
		}
		
		$resultado->free();
							mysqli_close($conexion); 
							echo '</tbody>';
							echo '</table>';
		}
	}
	?>
</body>
</html>